Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2760153002: Convert chrome compositor test's InstrumentationTestCases (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 1 week ago by the real yoland
Modified:
4 months ago
Reviewers:
Ted C, jbudorick
CC:
chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Convert chrome compositor test's InstrumentationTestCases BUG=640116 Review-Url: https://codereview.chromium.org/2760153002 Cr-Commit-Position: refs/heads/master@{#459116} Committed: https://chromium.googlesource.com/chromium/src/+/a524a80c71ca1aa177b1a714fc0ec0c618d1aa15

Patch Set 1 #

Patch Set 2 : Add findbug suppress #

Patch Set 3 : Depends on proguard flags change CL #

Patch Set 4 : new deps #

Patch Set 5 : Rebase #

Total comments: 12

Patch Set 6 : Address comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+388 lines, -207 lines) Patch
M base/test/android/javatests/src/org/chromium/base/test/util/RestrictionSkipCheck.java View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/android/BUILD.gn View 1 2 3 4 5 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/android/javatests/AndroidManifest.xml View 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/android/javatests/src/org/chromium/chrome/browser/compositor/bottombar/OverlayPanelBaseTest.java View 2 3 4 6 chunks +49 lines, -29 lines 0 comments Download
M chrome/android/javatests/src/org/chromium/chrome/browser/compositor/bottombar/OverlayPanelEventFilterTest.java View 2 3 4 17 chunks +75 lines, -47 lines 0 comments Download
M chrome/android/javatests/src/org/chromium/chrome/browser/compositor/bottombar/OverlayPanelManagerTest.java View 2 3 4 10 chunks +64 lines, -33 lines 0 comments Download
M chrome/android/javatests/src/org/chromium/chrome/browser/compositor/layouts/ChromeAnimationTest.java View 4 chunks +15 lines, -12 lines 0 comments Download
M chrome/android/javatests/src/org/chromium/chrome/browser/compositor/layouts/LayoutManagerTest.java View 2 3 4 16 chunks +125 lines, -76 lines 0 comments Download
M chrome/test/android/BUILD.gn View 1 2 3 4 5 2 chunks +3 lines, -0 lines 0 comments Download
M chrome/test/android/javatests/src/org/chromium/chrome/test/ChromeInstrumentationTestRunner.java View 1 2 3 4 5 4 chunks +10 lines, -10 lines 0 comments Download
A chrome/test/android/javatests/src/org/chromium/chrome/test/ChromeJUnit4ClassRunner.java View 1 2 3 4 5 1 chunk +37 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 40 (26 generated)
the real yoland
4 months, 1 week ago (2017-03-21 00:52:23 UTC) #6
the real yoland
This CL is ready
4 months ago (2017-03-22 15:39:58 UTC) #23
jbudorick
https://codereview.chromium.org/2760153002/diff/100001/chrome/test/android/javatests/src/org/chromium/chrome/test/ChromeInstrumentationTestRunner.java File chrome/test/android/javatests/src/org/chromium/chrome/test/ChromeInstrumentationTestRunner.java (right): https://codereview.chromium.org/2760153002/diff/100001/chrome/test/android/javatests/src/org/chromium/chrome/test/ChromeInstrumentationTestRunner.java#newcode67 chrome/test/android/javatests/src/org/chromium/chrome/test/ChromeInstrumentationTestRunner.java:67: mTargetContext = targetContext; This should not store the target ...
4 months ago (2017-03-22 15:58:07 UTC) #24
Ted C
https://codereview.chromium.org/2760153002/diff/100001/chrome/android/javatests/src/org/chromium/chrome/browser/compositor/bottombar/OverlayPanelBaseTest.java File chrome/android/javatests/src/org/chromium/chrome/browser/compositor/bottombar/OverlayPanelBaseTest.java (right): https://codereview.chromium.org/2760153002/diff/100001/chrome/android/javatests/src/org/chromium/chrome/browser/compositor/bottombar/OverlayPanelBaseTest.java#newcode36 chrome/android/javatests/src/org/chromium/chrome/browser/compositor/bottombar/OverlayPanelBaseTest.java:36: public UiThreadTestRule mRule = new UiThreadTestRule(); I'm confused why ...
4 months ago (2017-03-22 16:32:51 UTC) #25
the real yoland
https://codereview.chromium.org/2760153002/diff/100001/chrome/android/javatests/src/org/chromium/chrome/browser/compositor/bottombar/OverlayPanelBaseTest.java File chrome/android/javatests/src/org/chromium/chrome/browser/compositor/bottombar/OverlayPanelBaseTest.java (right): https://codereview.chromium.org/2760153002/diff/100001/chrome/android/javatests/src/org/chromium/chrome/browser/compositor/bottombar/OverlayPanelBaseTest.java#newcode36 chrome/android/javatests/src/org/chromium/chrome/browser/compositor/bottombar/OverlayPanelBaseTest.java:36: public UiThreadTestRule mRule = new UiThreadTestRule(); On 2017/03/22 at ...
4 months ago (2017-03-22 17:43:33 UTC) #26
Ted C
https://codereview.chromium.org/2760153002/diff/100001/chrome/android/javatests/src/org/chromium/chrome/browser/compositor/bottombar/OverlayPanelBaseTest.java File chrome/android/javatests/src/org/chromium/chrome/browser/compositor/bottombar/OverlayPanelBaseTest.java (right): https://codereview.chromium.org/2760153002/diff/100001/chrome/android/javatests/src/org/chromium/chrome/browser/compositor/bottombar/OverlayPanelBaseTest.java#newcode36 chrome/android/javatests/src/org/chromium/chrome/browser/compositor/bottombar/OverlayPanelBaseTest.java:36: public UiThreadTestRule mRule = new UiThreadTestRule(); On 2017/03/22 17:43:33, ...
4 months ago (2017-03-22 17:54:35 UTC) #27
the real yoland
https://codereview.chromium.org/2760153002/diff/100001/chrome/android/javatests/src/org/chromium/chrome/browser/compositor/bottombar/OverlayPanelBaseTest.java File chrome/android/javatests/src/org/chromium/chrome/browser/compositor/bottombar/OverlayPanelBaseTest.java (right): https://codereview.chromium.org/2760153002/diff/100001/chrome/android/javatests/src/org/chromium/chrome/browser/compositor/bottombar/OverlayPanelBaseTest.java#newcode36 chrome/android/javatests/src/org/chromium/chrome/browser/compositor/bottombar/OverlayPanelBaseTest.java:36: public UiThreadTestRule mRule = new UiThreadTestRule(); On 2017/03/22 at ...
4 months ago (2017-03-22 18:30:06 UTC) #28
Ted C
lgtm...thank you for the explanation
4 months ago (2017-03-23 03:36:01 UTC) #29
the real yoland
On 2017/03/23 at 03:36:01, tedchoc wrote: > lgtm...thank you for the explanation np!
4 months ago (2017-03-23 04:04:43 UTC) #30
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2760153002/120001
4 months ago (2017-03-23 04:05:03 UTC) #32
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/392502)
4 months ago (2017-03-23 04:10:50 UTC) #34
jbudorick
On 2017/03/23 04:10:50, commit-bot: I haz the power wrote: > Try jobs failed on following ...
4 months ago (2017-03-23 04:37:24 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2760153002/120001
4 months ago (2017-03-23 16:20:50 UTC) #37
commit-bot: I haz the power
4 months ago (2017-03-23 16:42:25 UTC) #40
Message was sent while issue was closed.
Committed patchset #6 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/a524a80c71ca1aa177b1a714fc0e...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973